<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<!-- Navigation -->
<nav th:fragment="navig-bar-short" class="navbar navbar-expand-lg navbar-dark navbar-custom fixed-top">
    <!-- Text Logo - Use this if you don't have a graphic logo -->
    <!-- <a class="navbar-brand logo-text page-scroll" href="index.html">Evolo</a> -->

    <!-- Image Logo -->
    <a class="navbar-brand logo-image" th:href="@{/}" href="index.html"><img
            src="../static/images/logo_safetycar.png" th:src="@{/images/logo_safetycar.png}" alt="alternative"></a>

    <!-- Mobile Menu Toggle Button -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
            aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-awesome fas fa-bars"></span>
        <span class="navbar-toggler-awesome fas fa-times"></span>
    </button>
    <!-- end of mobile menu toggle button -->

    <div class="collapse navbar-collapse" id="navbarsExampleDefault">
        <ul class="navbar-nav ml-auto">

            <li sec:authorize="isAnonymous()" class="nav-item">
                <a class="nav-link page-scroll"  th:href="@{login}" href="login.html">Login</a>
            </li>
            <!-- Dropdown Menu -->
            <li class="nav-item dropdown" th:if="${#authorization.expression('isAuthenticated()')}">
                <a sec:authentication="name" class="nav-link dropdown-toggle page-scroll"  id="navbarDropdown" role="button"
                   aria-haspopup="true" aria-expanded="false">Kevin</a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item"  th:href="@{/profile-page}"><span
                            class="item-text">Profile</span></a>
<!--                    <div class="dropdown-items-divide-hr"></div>-->
<!--                    <a class="dropdown-item"  href="/profile-page/"><span-->
<!--                            class="item-text">Cars</span></a>-->
<!--                    <div class="dropdown-items-divide-hr"></div>-->
<!--                    <a class="dropdown-item"  href="#"><span-->
<!--                            class="item-text">Policies</span></a>-->
                    <div class="dropdown-items-divide-hr"></div>
                    <form th:action="@{/logout}" method="post" id="logout-button">
                        <a class="dropdown-item" href="#" onclick="document.getElementById('logout-button').submit()"><span class="item-text">Logout</span></a>
                    </form>
                </div>
            </li>
            <!-- end of dropdown menu -->


        </ul>

    </div>
</nav> <!-- end of navbar -->
<!-- end of navigation -->

</body>
</html>